Company logoTrust Center Documentation
API v1 ReferenceIntegrationsConfluence

List Confluence items

Lists Confluence sites, spaces, or page children depending on request context (`siteId`, `parentType`, `parentId`). Emits eventName…

Lists Confluence sites, spaces, or page children depending on request context (siteId, parentType, parentId). Emits eventName integrations.confluence.fetch_items and failureEventName integrations.confluence.fetch_items_failed.

POST
/api/v1/integrations/confluence

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/integrations/confluence" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "data": {
    "items": [
      {
        "id": "site-123",
        "type": "site",
        "title": "Acme Confluence",
        "subtitle": "https://acme.atlassian.net",
        "siteId": "site-123",
        "hasChildren": true
      },
      {
        "id": "space-abc",
        "type": "space",
        "title": "Security",
        "subtitle": "SEC",
        "siteId": "site-123",
        "parentId": "site-123",
        "hasChildren": true
      }
    ],
    "nextPageToken": null
  }
}
{
  "error": "string",
  "code": "string",
  "data": {}
}
Empty
{
  "error": "string",
  "code": "string",
  "data": {}
}
Empty

How is this guide?